Difference between revisions of "Software requirements"

From VDrift
Jump to: navigation, search
(updated and reformatted. now has very little OS-specific information - leave that to Compiling. recategorized for review)
m
Line 1: Line 1:
 +
{{update}}
 +
 
The following software needs to be installed on a computer for it to run VDrift.
 
The following software needs to be installed on a computer for it to run VDrift.
  

Revision as of 13:01, 6 July 2011

Template:Update

The following software needs to be installed on a computer for it to run VDrift.

Platforms

VDrift is known to compile on:

  • 32-bit x86
  • 64-bit x86
  • PowerPC

Operating Systems

Ports for VDrift are available for these operating systems:

  • Linux
  • FreeBSD
  • Mac OS X
  • Windows

Device Drivers

It is advisable to always use the latest version of the device driver for graphics cards.

Libraries

Compilation and execution depend on the following libraries:

To compile, it is necessary to install the header files for these libraries.

On some operating systems, such as Linux and FreeBSD, these libraries must be installed on the system first before VDrift will run. On other systems, such as Mac OS X and Windows, all the necessary library files are packaged with VDrift.

Bullet

The Bullet Physics library is used by VDrift, but it is not necessary for the user to take any action to acquire it. The Bullet source code is included in the VDrift source code, and it is compiled along with the executable at build time.

Build Tools

To compile VDrift, you'll also need

Other build tools are sometimes required, and alternative build options are sometimes available, depending on the target operating system (see Compiling for details).